//
//  SettingsFhLbtController.m
//  AretePop
//
//  Created by Asterisk on 13. 6. 18..
//
//

#import "SettingsFhLbtController.h"

@interface SettingsFhLbtController ()<RcpRfidDelegate>

@end

@implementation SettingsFhLbtController
@synthesize rcp = _rcp;
@synthesize onTime;
@synthesize offTime;
@synthesize senseTime;
@synthesize lbtLevel;
@synthesize lbtEnable;
@synthesize fhEnable;
@synthesize cwEnable;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
    self.olOnTime.text = [NSString stringWithFormat:@"%d",(int)onTime];
    self.olOffTime.text = [NSString stringWithFormat:@"%d",(int)offTime];
    self.rcp.delegate = self;
}

- (IBAction)rightBarButtonItemClicked:(id)sender
{    
    [self.olOnTime resignFirstResponder];
    [self.olOffTime resignFirstResponder];
    
    self.onTime = [self.olOnTime.text integerValue];
    self.offTime = [self.olOffTime.text integerValue];
    
    [self.rcp setFhLbtParam:self.onTime
                   idleTime:self.offTime
           carrierSenseTime:self.senseTime
                    rfLevel:self.lbtLevel
           frequencyHopping:self.fhEnable
           listenBeforeTalk:self.lbtEnable
             continuousWave:self.cwEnable];

}


- (void)didSetFhLbtReceived:(uint8_t)statusCode{
    
    switch (statusCode) {
        case 0x00:
            
            dispatch_async(dispatch_get_main_queue(), ^{
                
                UIAlertView *alert = [[UIAlertView alloc] initWithTitle:nil message:@"Updated." delegate:nil cancelButtonTitle:nil otherButtonTitles:@"OK", nil];
                [alert show];
            });
            [self.rcp updateRegistry];
            break;
            
        default:
            break;
    }
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)viewDidUnload {
    [self setOlOnTime:nil];
    [self setOlOffTime:nil];
    [super viewDidUnload];
}

- (void)errReceived:(uint8_t)errCode{
    dispatch_async(dispatch_get_main_queue(), ^{
        UIAlertView *alert = [[UIAlertView alloc]initWithTitle:nil message:[NSString stringWithFormat:@"err_received [%02X]\n",errCode] delegate:nil cancelButtonTitle:nil otherButtonTitles:@"OK", nil];
        [alert show];
    });
}

@end
